import { RPCNotification, RPCRequestAndResponses, RequestMethod, SwapChannelInfo } from "./types";
/**
 * Validates that the response is a valid JSON RPC response with a valid result
 * @param response - JSON RPC response
 * @param method - JSON RPC method
 * @returns The validated result of the JSON RPC response
 */
export declare function getAndValidateResult<T extends RequestMethod>(response: unknown, method: T): RPCRequestAndResponses[T][1]["result"];
export declare function getAndValidateNotification<T extends RPCNotification["method"]>(data: unknown, method: T): RPCNotification["params"]["payload"];
export declare const convertToSwapChannelInfoType: (result: string) => SwapChannelInfo;
export declare const convertToSwapChannelsInfoType: (result: string) => string;
