/// <reference types="node" />
import https from "https";
import { EventEmitter } from "eventemitter3";
import { NotificationMethod, NotificationParams, RequestMethod, RPCRequestAndResponses } from "../types";
import { Transport } from ".";
export declare class HttpTransport {
    Notifications: EventEmitter<NotificationMethod, NotificationParams>;
    isSecure: boolean;
    static createTransport(server: string, isSecure: boolean): Promise<Transport>;
    sendRequest<K extends RequestMethod>(req: RPCRequestAndResponses[K][0]): Promise<unknown>;
    Close(): Promise<void>;
    private ws;
    private server;
    private constructor();
}
export declare function unsecureHttpsAgent(): https.Agent;
