import { EventEmitter } from "eventemitter3";
import { NotificationMethod, NotificationParams, RequestMethod, RPCRequestAndResponses } from "../types";
import { Transport } from ".";
export declare class NatsTransport {
    private natsConn;
    private natsSub;
    private notifications;
    static createTransport(server: string): Promise<Transport>;
    private constructor();
    get Notifications(): EventEmitter<NotificationMethod, NotificationParams>;
    private listenForMessages;
    sendRequest<K extends RequestMethod>(req: RPCRequestAndResponses[K][0]): Promise<RPCRequestAndResponses[K][1]>;
    Close(): Promise<void>;
}
